Bug 7373 - build error in schema_info_attr
build error in schema_info_attr
Product: Samba 4.0
Classification: Unclassified
Component: Build
Other Linux
: P3 normal
: ---
Assigned To: Jelmer Vernooij
Depends on:
  Show dependency treegraph
Reported: 2010-04-19 20:27 UTC by Brian May
Modified: 2010-05-30 04:31 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Brian May 2010-04-19 20:27:00 UTC
Am I doing something wrong?

Compiling dynconfig/dynconfig.c
Partially linking bin/mergedobj/dynconfig.o
Partially linking bin/mergedobj/socket_wrapper.o
Partially linking bin/mergedobj/crypto.o
Partially linking bin/mergedobj/talloc.o
Partially linking bin/mergedobj/replace.o
Linking bin/regpatch
bin/mergedobj/samdb_schema.o: In function `dsdb_module_schema_info_blob_read':
/home/brian/samba-master/source4/dsdb/schema/schema_info_attr.c:146: undefined reference to `dsdb_module_search'
bin/mergedobj/samdb_schema.o: In function `dsdb_module_schema_info_blob_write':
/home/brian/samba-master/source4/dsdb/schema/schema_info_attr.c:242: undefined reference to `dsdb_module_modify'
collect2: ld returned 1 exit status
make: *** [bin/regpatch] Error 1
Comment 1 Matthias Dieter Wallnöfer 2010-04-20 01:19:41 UTC
Are you still using the old gmake-based build system? I would strongly suggest to use WAF from now on - which checks better for dependencies and has far less issues.

Start it on a clean tree (on GIT: "git clean -d -f -x ." under the repo dir) using "./autogen-waf.sh", "./configure", "make".

It should fix the problem. Please answer if it does or does not.
Comment 2 Brian May 2010-04-20 01:40:25 UTC

That looks a lot better. I had been blindly following the instructions at http://wiki.samba.org/index.php/Samba4/HOWTO without realizing there was a new build system.


Brian May
Comment 3 Stefan Metzmacher 2010-04-20 01:54:44 UTC

the autoconf based build is still the default and should always at least compile!

Doing a complete clean build should fix the problem with both build systems.

Comment 4 Brian May 2010-04-20 02:01:02 UTC
Just to clarify, my failed build attempts against the old build system were against a clean source tree, and on different days each using the latest git source.
Comment 5 Matthias Dieter Wallnöfer 2010-04-27 06:45:20 UTC
What is your software environment (OS, C compiler release, platform...)?
Comment 6 Brian May 2010-04-28 00:12:24 UTC

This was an up-to-date Debian squeeze system. I used the compilers, etc, from Debian Squeeze.

Brian May
Comment 7 Matthias Dieter Wallnöfer 2010-05-03 10:30:59 UTC
Well, now it is clear that the WAF build is the default for s4. So please use it! The old autoconf-based bs could be dropped soon.
Comment 8 Jelmer Vernooij 2010-05-25 16:12:31 UTC
Matthias, please verify that this is actually fixed. We still support the autoconf-based system.
Comment 9 Matthias Dieter Wallnöfer 2010-05-26 07:58:25 UTC
Jelmer, I was told by abartlet or tridge that the s4 autoconf build shouldn't be maintained anymore since it could be dropped out in the next time.
If you represent another opinion I would like to invite you to post this clearly on the mailing list. I think there is really an uncertainty - as you may have noticed the most time the old build is down.
Comment 10 Jelmer Vernooij 2010-05-26 11:43:35 UTC
It will be dropped in the future, but for the time being it's still there. If we weren't maintaining it anymore we would've removed it.
Comment 11 Matthias Dieter Wallnöfer 2010-05-30 04:31:37 UTC
Regarding the old build system: we had some discussion about how to maintain it since there are some dissensions. Probably it will remain for configuration testing ("./configure" outputs and comparisons with the new system) - so no regular maintenance is planned.
We encourage people to use the WAF system as we do. It is faster, generates smaller binaries and it is easier to maintain.

Therefore marking this as "WONTFIX".